[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Capacity

Capacity of the list.

## Declaration

Source position: contnrs.pp line 320

`public property TFPHashObjectList.Capacity : Integer read GetCapacity write SetCapacity;`

## Description

Capacity returns the current capacity of the list. The capacity is expanded as more elements are added to the list. If a good estimate of the number of elements that will be added to the list, the property can be set to a sufficiently large value to avoid reallocation of memory each time the list needs to grow.

## See also

Count |  | Current number of elements in the list.
Items |  | Indexed array with object instances

Documentation generated on: Feb 26 2014